### org.jfree.layouting.renderer.process

# Class IterateVisualProcessStep

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.IterateVisualProcessStep`

Known Direct Subclasses:
  CleanPaginatedBoxesStep, CleanStreamedBoxesStep, ComputeBreakabilityStep, ComputeICMMetricsStep, ComputeMarginsStep, ComputeStaticPropertiesStep, FillPhysicalPagesStep, InfiniteMajorAxisLayoutStep, InfiniteMinorAxisLayoutStep, PaginationStep, SimplePaginationStep, TableRowHeightStep

`public abstract class IterateVisualProcessStep`
`extends java.lang.Object`

Iterates over the tree of nodes and classifies nodes by their Display-Model. The Display-Model of nodes is either 'Block' or 'Inline'. All steps dealing with element placement commonly use this strategy.

Author:
  Thomas Morgner

  ## Constructor Summary

  `IterateVisualProcessStep()`

  ## Method Summary

  `protected void`

  `finishBlockLevelBox(RenderBox box)`

  `protected void`

  `finishInlineLevelBox(RenderBox box)`

  `protected void`

  `processBlockLevelChild(RenderNode node)`

  `protected void`

  `processBlockLevelNode(RenderNode node)`

  `protected void`

  `processBoxChilds(RenderBox box)`

  `protected void`

  `processFlow(NormalFlowRenderBox flow)`

  `protected void`

  `processInlineLevelChild(RenderNode node)`

  `protected void`

  `processInlineLevelNode(RenderNode node)`

  `protected void`

  `processOtherLevelChild(RenderNode node)`

  `protected abstract void`

  `processParagraphChilds(ParagraphRenderBox box)`

  `protected boolean`

  `startBlockLevelBox(RenderBox box)`

  `protected boolean`

  `startInlineLevelBox(RenderBox box)`

  `protected void`

  `startProcessing(RenderNode node)`

## Constructor Details

### IterateVisualProcessStep

    protected IterateVisualProcessStep()

## Method Details

### finishBlockLevelBox

    protected void finishBlockLevelBox(RenderBox box)

### finishInlineLevelBox

    protected void finishInlineLevelBox(RenderBox box)

### processBlockLevelChild

    protected void processBlockLevelChild(RenderNode node)

### processBlockLevelNode

    protected void processBlockLevelNode(RenderNode node)

### processBoxChilds

    protected void processBoxChilds(RenderBox box)

### processFlow

    protected void processFlow(NormalFlowRenderBox flow)

### processInlineLevelChild

    protected void processInlineLevelChild(RenderNode node)

### processInlineLevelNode

    protected void processInlineLevelNode(RenderNode node)

### processOtherLevelChild

    protected void processOtherLevelChild(RenderNode node)

### processParagraphChilds

    protected abstract void processParagraphChilds(ParagraphRenderBox box)

### startBlockLevelBox

    protected boolean startBlockLevelBox(RenderBox box)

### startInlineLevelBox

    protected boolean startInlineLevelBox(RenderBox box)

### startProcessing

    protected final void startProcessing(RenderNode node)